# Report Type: negativeCampaignTarget

Configuration attributes for negative targets at the campaign level, which include location targets (geo-location, proximity, and location extension), dynamic ad targets, remarketing list targets and age/gender targets. Some targets are available only in specific types of engine accounts.


This report can only be returned by an asynchronous request (that is, via the
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request) method).

### Request excerpt


Send a regular
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request)
request body, but specify `"reportType": "negativeCampaignTarget"`.

```
{
...
  "reportType": "negativeCampaignTarget",
  "columns": [
    {
      "columnName": string,
      "headerText": string,
      "startDate": string,
      "endDate": string
    }
  ],
  "filters": [
    {
      "column": {
        "columnName": string,
      },
      ...
    },
    ...
  ],
...
}
```


For each column that you want returned or filtered in the report,
specify the `columnName` listed in the table below.
You can also optionally specify
[headerText](https://developers.google.com/search-ads/v2/reference/reports#request.columns.headerText),
[startDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.startDate),
and [endDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.endDate).
Note that some columns cannot be filtered; refer to "Filterable" in the table below.

| `columnName` | Description | Behavior | Type | Filterable |
|---|---|---|---|---|
| `status` | The status of the campaign target: `Active`, `Paused`, or `Removed`. | attribute | `Status` | Yes |
| `creationTimestamp` | Timestamp of the negative campaign target's creation, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `lastModifiedTimestamp` | Timestamp of the negative campaign target's most recent modification, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `agency` | Agency name. | attribute | `String` | Yes |
| `agencyId` | DS agency ID. | attribute | `ID` | Yes |
| `advertiser` | Advertiser name. | attribute | `String` | Yes |
| `advertiserId` | DS advertiser ID. | attribute | `ID` | Yes |
| `account` | Engine account name. | attribute | `String` | Yes |
| `accountId` | DS engine account ID. | attribute | `ID` | Yes |
| `accountEngineId` | ID of the account in the external engine account. | attribute | `String` | Yes |
| `accountType` | Engine account type: `Google AdWords`, `Bing Ads`, `Yahoo Japan Listing Ads`, `Yahoo Search Marketing`, `Yahoo Gemini`, `Baidu`, or `Comparison Shopping`. | attribute | `Engine type` | Yes |
| `campaign` | Campaign name. | attribute | `String` | Yes |
| `campaignId` | DS campaign ID. | attribute | `ID` | Yes |
| `campaignStatus` | The status of the campaign that contains this item. | attribute | `Status` | Yes |
| `engineRemarketingList` | The name of the remarketing list associated with the target. | attribute | `String` | Yes |
| `dynamicSearchAdsTargetConditions` | The criteria the dynamic ad target uses to exclude pages under the site domain. | attribute | `String` | No |
| `locationTargetName` | The name of the location target. | attribute | `String` | Yes |
| `ageTargetAgeRange` | The age range of age target. | attribute | `Age range` | Yes |
| `genderTargetGenderType` | The gender type of gender target: Male, Female, Unknown. | attribute | `Gender type` | Yes |
| `negativeCampaignTargetId` | The ID DS generated for a negative campaign target. | attribute | `ID` | Yes |